People and groups
List the caller's own sessions
List the caller's own sessions
curl --request GET \
--url https://api.atlan.com/registry/v1/users/me/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/users/me/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/users/me/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"issued_via": "magic_otp",
"last_seen_at": "2023-11-07T05:31:56Z",
"status": "active",
"user_id": "<string>",
"ip": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"user_agent": "<string>"
}
],
"page": {
"has_more": true,
"limit": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
⌘I
List the caller's own sessions
curl --request GET \
--url https://api.atlan.com/registry/v1/users/me/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/users/me/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/users/me/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"issued_via": "magic_otp",
"last_seen_at": "2023-11-07T05:31:56Z",
"status": "active",
"user_id": "<string>",
"ip": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"user_agent": "<string>"
}
],
"page": {
"has_more": true,
"limit": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}